@import url("https://fonts.googleapis.com/css2?family=Roboto&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@100&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* .container {
  max-width: 1349px;
  min-width: 425px;
}
 */
html {
  scroll-padding-top: 100px; /* Ajustalo si tu navbar es más grande o más chico */
}
 
#logo {
  font-size: 0;
  width: 120px;
  height: 75px;
  background-image: url(../img/logo.png);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center center;
}
#logo a {
  width: 100%;
  height: 75px;
  display: inline-block;
}

.menu-hamburguesa{
  display: none;
}
labe .menu[for="menu-hamburguesa"]{
  display: none;
}
/* parate del nav */
#menu-hamburguesa{
  display: none;
}


.main-header {
  background-color: #6698d973;
  position: fixed;
  width: 100%;
/*   height: 60px; */
  top: 0;
  z-index: 10;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
#logo ul {
  display: flex;
}
.main-header nav {
  justify-content: space-evenly;
}
.main-header ul {
  display: flex;
  margin-right: 50px;
}
.main-header ul li {
  list-style: none;
  width: 100px;
  display: inline-block;
}
.main-header ul li a {
  text-decoration: none;
  display: block;
  color: #ffffff;
  font-size: 22px;
  padding: 15px;
  border-bottom: 2px solid red;
  transition: all 0.6s;
}

.main-header ul li a:hover {
  filter: invert(1);
}

/* banner principales */
#banner {
  display: flex;
  justify-content: space-around;
  gap: 700px;
  background-image: url(../img/machupichu.jpg);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  background-attachment: fixed;
  height: 100vh;
}

/* seccion de las 3 opciones */
#experiencia {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-direction: column;
  margin: 10px 30px 50px 0px;
  text-align: center;
  font-size: 23px;
}
.titulo {
  text-align: center;
  padding-top: 15px;
  font-size: 40px;
  font-family: "Roboto", sans-serif;
}
.titulo-2{
  text-align: center;
  padding-top: 15px;
  font-size: 40px;
  font-family: "Roboto", sans-serif;
}
.experiencia-cards {
  display: flex;
}
.img-container {
  height: 100px;
  margin: 60px 60px 1px 60px;
  transition: all 0.7s;
}
.img-container:hover {
  filter: opacity(60%);
}

/* seccion 3 con distintas informacion */
.section-2 {
  display: flex;
  align-items: center;
}
.caja-1 {
  width: 100%;
  height: 500px;
  display: flex;
  background-color: #3e688c;
  color: white;
}
.card-img img {
  height: 500px;
  width: 500px;
  object-fit: cover;
  display: flex;
  align-content: end;
  margin-left: 100px;
}
.row-2 {
  text-align: center;
  justify-items: center;
  text-align: justify;
  font-size: 25px;
  margin: 35px;
  
}
.row-2 h4 {
  flex-direction: column;
  justify-content: center;
  text-align: justify;
  margin: 10px;
  line-height: 1.5;
}
.text p {
  text-align: left;
  padding: 10px;
}
.text {
  margin: 10px;
  font-size: 35px;
  font-family: "Roboto", sans-serif;
}

/* boton ver mas */
.mi-boton {
  background-color: red;
  border: 2px solid black;
  text-decoration: none;
  color: white;
  font-size: 20px;
  justify-items: center;
  transition: all 0.5s;
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100px;
  height: 50px;
  margin-top: 50px;
  margin-left: 45%;
}
.mi-boton:hover {
  filter: invert(1);
}

.mi-boton-1{
  background-color: red;
  border: 2px solid black;
  text-decoration: none;
  color: white;
  font-size: 20px;
  justify-items: center;
  transition: all 0.5s;
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100px;
  height: 50px;
  margin-top: 50px;/* 
  margin-left: 45%; */
  justify-content: center;
  text-align: center;
}
.mi-boton-1:hover {
  filter: invert(1);
}

/* informacion caja 2 */
.caja-2 {
  display: flex;
  background-color: #6698d9;
  color: white;
  height: 500px;
}
.card-img-2 img {
  display: flex;
  width: 500px;
  height: 500px;
  object-fit: cover;
  align-content: end;
  margin-right: 100px;
}

/* banner secundario  antes del footer*/
.card-img-3 img {
  width: 100%;
}

/* PAGINA DE LUGARES */

/* pagina lugares informacion 3 */
#banner-2 {
  display: flex;
  justify-content: space-around;
  gap: 700px;
  background-image: url(../img/nazca.jpg);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  background-attachment: fixed;
  height: 100vh;
}

.caja-3 {
  width: 100%;
  display: flex;
  position: relative;
  background-color: #8c796d;
  color: white;
}

.caja-4 {
  display: flex;
  background-color: #f2d0a7;
  color: rgb(0, 0, 0);
  height: 500px;
}

.img-container-3 {
  height: 250px;
  /*     margin: 40px 40px 1px 40px; */
  transition: all 0.7s;
}
.img-container-3:hover {
  filter: saturate(200%);
}

.caja-imagen {
  width: 160%;
  display: flex;
  height: 500px;
  margin-left: 200px;
  margin-right: 150px;
  justify-content: center;
}
.caja-imagen img {
  width: 0px;
  flex-grow: 1;
  object-fit: cover;
  opacity: 0.9;
  transition: 0.8s all ease;
}
.caja-imagen img:hover {
  cursor: cell;
  width: 250px;
  filter: saturate(200%);
}
.text-3 {
  margin-bottom: 10px;
  font-size: 2rem;
  font-family: "Roboto", sans-serif;
}
.row-3 {
  text-align: center;
  justify-content: center;
  margin: 35px;
}
.row-3 p {
  text-align: justify;
  margin: 12px;
  /*     margin: 0px 200px 1px 250px; */
  line-height: 1.5;
  font-size: 20px;
  font-family: "Roboto", sans-serif;
}

/*pagina de comidas */

/* parte de informacion de la comidas */
#banner-3 {
  display: flex;
  justify-content: space-around;
  width: 100%;
  gap: 700px;
  background-image: url(../img/costa-sierra-selva.jpg);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  background-attachment: fixed;
  height: 100vh;
}

.row-5 {
  font-size: 19px;
  margin: 10px 500px;
  padding: 0.1rem;
}
.caja-5 {
  position: relative;
  background-color: #0388a6;
  color: white;
  padding: 1.5rem;
}

.row-6 {
  text-align: center;
  justify-content: center;
  font-size: 22px;
  margin: 35px;
}
.row-6 p {
  flex-direction: column;
  justify-content: center;
  text-align: justify;
  margin: 10px;
  margin: 0px 200px 1px 250px;
  line-height: 1.5;
}

.row-7 {
  text-align: center;
  justify-content: center;
  font-size: 30px;
  margin: 35px;
}

.caja-imagen-2 {
  display: flex;
  height: 500px;
  margin-left: 60px;
  margin-right: 60px;
  justify-content: center;
}
.caja-imagen-2 img {
  width: 0px;
  flex-grow: 1;
  object-fit: cover;
  opacity: 0.9;
  transition: 0.8s all ease;
}
.caja-imagen-2 img:hover {
  cursor: cell;
  width: 250px;
  filter: saturate(200%);
}

.caja-6 {
  position: relative;
  background-color: #0477bf;
  color: white;
  padding: 1.5rem;
}

/* pagina de contactos*/
#banner-4 {
  display: flex;
  justify-content: space-around;
  gap: 700px;
  background-image: url(../img/Cultural-History.jpg);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  background-attachment: fixed;
  height: 100vh;
}
.img-container-4 {
  object-fit: cover;
  height: 250px;
  width: 250px;
  margin: 40px 40px 1px 40px;
  transition: all 0.7s;
}
.img-container-4:hover {
  filter: invert(200%);
}

/* mapa y texto */
.info-mapa .informe {
  text-align: center;
  margin: 5px 60px;
  font-size: 25px;
  font-family: "Roboto", sans-serif;
}
.mapa .mapa {
  padding-bottom: 2rem;
}

.juntes {
  display: flex;
  width: 100%;
  gap: 4rem;
  justify-content: center;
}

/* contacto */

.container-contacto {
  background: #cf06066e;
  padding: 20px 30px;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  width: 100%;
  max-width: 400px;
}

.container-contacto h2 {
  margin-bottom: 10px;
  text-align: center;
  color: #000000;
  font-family: "Roboto", sans-serif;
}

.form-group {
  margin-bottom: 15px;
}

label {
  display: block;
  font-weight: bold;
  margin-bottom: 5px;
  color: #000000f8;
}

input,
select,
textarea {
  width: 100%;
  padding: 10px;
  border: 1px solid #ff0202;
  border-radius: 5px;
  font-size: 16px;
}

textarea {
  resize: none;
}

.btn-enviar {
  width: 100%;
  background-color: #4caf50;
  color: white;
  border: none;
  padding: 10px 15px;
  font-size: 16px;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.3s;
}

.btn-enviar:hover {
  background-color: #45a049;
}



/* youtube */
.youtube .youtube-4 {
  display: flex;
  width: 100%;
  height: 500px;
  margin-top: 1rem;
}

/*parter del footer*/
.footer {
  background-color: #254463cb;
  color: white;
  padding: 30px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}

/* Estilo de la sección de información */
.footer-info {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

/* Estilo del logo */
.footer-logo {
  flex: 1;
  text-align: center;
}

.footer-logo .logo {
  width: 100px;
  height: auto;
  margin-right: 100px;
}

/* pagina de hoteles */
#banner-5 {
  display: flex;
  justify-content: space-around;
  gap: 700px;
  background-image: url(../img/hoteles.png);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  background-attachment: fixed;
  height: 100vh;
  object-fit: cover;
}

/* Estilo de los enlaces del menú de navegación */
.footer-nav {
  display: flex;
  gap: 20px;
  margin-right: 7.5rem;
}

.footer-nav a {
  color: white;
  text-decoration: none;
  font-weight: bold;
}

.footer-nav a:hover {
  color: #3498db;
}

/* Estilo del mensaje de copyright */
.footer-copyright {
  width: 100%;
  text-align: center;
  margin-top: 20px;
  font-size: 14px;
  color: #bdc3c7;
}

/* boton de whaaaaasssss */
.to-top {
  width: 75px;
  height: 75px;
  text-align: center;
  position: fixed;
  bottom: 50px;
  right: 50px;
}

.to-top a {
  text-decoration: none;
  display: block;
  height: 75px;
}

/* celular */
@media screen and (min-width: 325px) and (max-width: 480px) {
  .main-header{
    width: 75%;
    color: black;
  }
  .main-header ul{
    display: none;
  }
  #menu-hamburguesa{
    display: none;
  }
  #menu-hamburguesa:checked ~ ul{
    display: block;
    position: absolute;
    
  }
  .menu-hamburguesa{
    display: inline-block;
    border-radius: 5px;
    width: 30px;
    height: 30px;
    text-align: center;
    user-select: none;

  }
  
  #banner {
    flex-direction: column;
    justify-content: center;
    gap: 0;
    height: 70vh;
  }
  #experiencia {
    margin: 2px 5px;
  }

  .experiencia-cards {
    flex-direction: column;
  }
  .section-2 {
    flex-direction: column;
    height: auto;
  }

  .caja-1 {
    flex-direction: column;
    height: auto;
    width: auto;
  }
  .card-img img {
    margin-left: 0;
    width: 100%;
  }
  .caja-2 {
    flex-direction: column;
    height: auto;
    width: 100%;
  }
  .card-img-2 img {
    width: 100%;
    object-fit: cover;
  }

  .footer-copyright {
    font-size: 12px;
  }

  /* pagina lugares */
  #banner-2 {
    flex-direction: column;
    justify-content: center;
    gap: 0;
    height: 70vh;
    width: 100%;
  }
  .caja-3 {
    flex-direction: column;
    height: auto;
    width: auto;
  }

  .caja-4 {
    flex-direction: column;
    height: auto;
    width: 100%;
  }
  
  .caja-imagen{
    width: 100%;
    margin-left: 0;

  }

  /* pagina comida */
  #banner-3 {
    flex-direction: column;
    justify-content: center;
    gap: 0;
    height: 70vh;
    width: 100%;
  }
.row-5 {
  flex-direction: column;
  display: flex;
  height: auto;
  width: 100%;
  margin: auto;
  }
  .row-6 p {
    flex-direction: column;
    display: flex;
    height: auto;
    width: 100%;
    margin: auto;
    }

    .caja-imagen-2 img:hover {
     width: 200px;
    }
    /*pagina de contacto */
    #banner-4 {
      flex-direction: column;
      justify-content: center;
      gap: 0;
      height: 70vh;
      width: 100%;
    }
    .juntes{
      flex-direction: column;
      height: auto;
      width: 100%;
    }
    .mapa .mapa {
      width: 100%;
    }
    .titulo {
      font-size: 35px;
  }
    .img-container-3{
      height: 220px;
      width: auto;
    }
    .mi-boton{
      display: flex;
      justify-content: center;
    }

    .caja-imagen-2 {
      display: flex;
      width: auto;
      height: 500px;
      margin: 0;
      justify-content: center;
  }

  .main-header ul li a {
    color: #ffffff;
  }

  .row-2 {
    line-height: normal;
    letter-spacing: normal;
    text-align: left;
  }
}